Subject: bug#62029: 29.0.60; Allow users to customize eldoc buffer separator

From: Dmitry Gutov <[email-masked]>
Date: Fri, 14 Apr 2023 01:13:28 +0300

On 14/04/2023 00:53, Dmitry Gutov wrote:
>> Is this concept of "bouncing" acceptable to you in elisp-mode?  Do you
>> think it will ever be accepted by other Emacs lisp developers that
>> sometimes, when standing over a symbol with both a function and variable
>> definition the two things will be documented in two separate lines?  I
>> assume it won't, thus the Elisp setting of
>> eldoc-echo-area-use-multiline-p to 1.
> 
> I suggest you put it up for the discussion on emacs-devel after we 
> ensure that the flickering and bouncing situation has improved.

E.g. personally, I would perhaps prefer it there was a failover from 
elisp-eldoc-funcall to elisp-eldoc-var-docstring, but that was composed 
in parallel with flymake-eldoc-function, to also show the compilation 
error when available. But that doesn't seem like it is provided by any 
of the existing options.